org.eclipse.aether.internal.impl

## Class DefaultInstaller

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultInstaller

- All Implemented Interfaces:
    Installer, Service

      @Named
      @Component(role=Installer.class)
      public class DefaultInstaller
      extends Object
      implements Installer, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultInstaller()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultInstaller` | `addMetadataGeneratorFactory(MetadataGeneratorFactory factory)`
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `InstallResult` | `install(RepositorySystemSession session, InstallRequest request)` Installs a collection of artifacts and their accompanying metadata to the local repository.
    `DefaultInstaller` | `setFileProcessor(FileProcessor fileProcessor)`
    `DefaultInstaller` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `DefaultInstaller` | `setMetadataGeneratorFactories(Collection<MetadataGeneratorFactory> metadataFactories)`
    `DefaultInstaller` | `setRepositoryEventDispatcher(RepositoryEventDispatcher repositoryEventDispatcher)`
    `DefaultInstaller` | `setSyncContextFactory(SyncContextFactory syncContextFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultInstaller

          public DefaultInstaller()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultInstaller setLoggerFactory(LoggerFactory loggerFactory)

    - #### setFileProcessor

          public DefaultInstaller setFileProcessor(FileProcessor fileProcessor)

    - #### setRepositoryEventDispatcher

          public DefaultInstaller setRepositoryEventDispatcher(RepositoryEventDispatcher repositoryEventDispatcher)

    - #### addMetadataGeneratorFactory

          public DefaultInstaller addMetadataGeneratorFactory(MetadataGeneratorFactory factory)

    - #### setMetadataGeneratorFactories

          public DefaultInstaller setMetadataGeneratorFactories(Collection<MetadataGeneratorFactory> metadataFactories)

    - #### setSyncContextFactory

          public DefaultInstaller setSyncContextFactory(SyncContextFactory syncContextFactory)

    - #### install

          public InstallResult install(RepositorySystemSession session,
                              InstallRequest request)
                                throws InstallationException

      Description copied from interface: `Installer`
      Installs a collection of artifacts and their accompanying metadata to the local repository.
      Specified by:
        `install` in interface `Installer`
      Parameters:
        `session` - The repository session, must not be `null`.
        `request` - The installation request, must not be `null`.
      Returns:
        The installation result, never `null`.
      Throws:
        `InstallationException` - If any artifact/metadata from the request could not be installed.
      See Also:
        `RepositorySystem.install(RepositorySystemSession, InstallRequest)`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.